Subject: Re: What's cooking in git.git (Jan 2026, #03)

From: Junio C Hamano <[email-masked]>
Date: Fri, 09 Jan 2026 06:01:09 -0800

"Kristoffer Haugsbakk" <[email-masked]> writes:

>> * kh/replay-invalid-onto-advance (2026-01-05) 6 commits
>>   (merged to 'next' on 2026-01-08 at 1024748f91)
>>  + t3650: add more regression tests for failure conditions
>>  + replay: die if we cannot parse object
>>  + replay: improve code comment and die message
>>  + replay: die descriptively when invalid commit-ish is given
>>  + replay: find *onto only after testing for ref name
>>  + replay: remove dead code and rearrange
>>  (this branch is used by ps/history and pw/replay-drop-empty.)
>>
>>  Test coverage of "git replay" has been improved.
>
> I still disagree with this summary. ;)
>
> <[email-masked]>

Thanks for reminding.  Yes, I too disagree with it.  I knew the main
change between the original two patches will need to be updated when
I first wrote it to queue the initial version, but it certainly is
not true with the main change (split across 5 patches now).